Package org.apache.groovy.json.internal

## Class IO

- java.lang.Object
- - org.apache.groovy.json.internal.IO

-     public class IO
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IO()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `copy​(Reader input, Writer output)` |
    `static long` | `copyLarge​(Reader reader, Writer writer)` |
    `static long` | `copyLarge​(Reader reader, Writer writer, char[] buffer)` |
    `static CharBuf` | `read​(Reader input, CharBuf charBuf, int bufSize)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IO

          public IO()

  - ### Method Detail

    - #### read

          public static CharBuf read​(Reader input,
                                     CharBuf charBuf,
                                     int bufSize)

    - #### copy

          public static int copy​(Reader input,
                                 Writer output)

    - #### copyLarge

          public static long copyLarge​(Reader reader,
                                       Writer writer)

    - #### copyLarge

          public static long copyLarge​(Reader reader,
                                       Writer writer,
                                       char[] buffer)